View Issue Details

IDProjectCategoryView StatusLast Update
0001756NoesisGUIC++ SDKpublic2020-08-31 18:30
ReporterLarianStudiosAssigned Tosfernandez 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version3.0.3 
Target Version3.0.5Fixed in Version3.0.5 
Summary0001756: Nothing renders when setting Canvas.Left/Top to -FLT_MAX
DescriptionHaving the following xaml:

<ItemsControl ItemsSource="{Binding yourDataList}">
  <ItemsControl.ItemsPanel>
    <ItemsPanelTemplate>
      <Canvas/>
    </ItemsPanelTemplate>
  </ItemsControl.ItemsPanel>
  <ItemsControl.ItemContainerStyle>
    <Style TargetType="ContentPresenter">
      <!-- position "over head" -->
      <Setter Property="Canvas.Left" Value="{Binding Position.X}"/>
      <Setter Property="Canvas.Top" Value="{Binding Position.Y}"/>
    </Style>
  </ItemsControl.ItemContainerStyle>
  ...
</ItemsControl>


Then put 1 of the elements in the ItemsSource on Noesis::Point(-FLT_MAX, -FLT_MAX), the canvas will expand to -FLT_MAX*2 but be capped on -FLT_MAX and it'll move x and y to -FLT_MAX so outside of the screen.
This will result in nothing being rendered to the screen.
TagsNo tags attached.
PlatformAny

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-07-17 12:44 sfernandez New Issue
2020-07-17 12:44 sfernandez Reporter sfernandez => LarianStudios
2020-07-17 12:44 sfernandez Assigned To => sfernandez
2020-07-17 12:44 sfernandez Status new => assigned
2020-07-17 12:44 sfernandez Target Version => 3.0.4
2020-08-02 10:56 jsantos Target Version 3.0.4 => 3.0.5
2020-08-31 18:30 sfernandez Status assigned => resolved
2020-08-31 18:30 sfernandez Resolution open => fixed
2020-08-31 18:30 sfernandez Fixed in Version => 3.0.5